﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="AutoComplete_ConsultaDB.Default" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>AutoCompletar com jQuery</title>
    <script src="Scripts/jquery-2.2.3.min.js"></script>
    <script src="Scripts/jquery-ui-1.11.4.min.js"></script>
    <link href="Scripts/jquery-ui.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
        $("#txtNomes").autocomplete({
            source: function (request, response) {
                $.ajax({
                    type: "POST",
                    contentType: "application/json; charset=utf-8",
                    url: "Default.aspx/GeContatos",
                    data: "{'nomePrefixo':'" + $("#txtNomes").val() + "'}",
                    dataType: "json",
                success: function (data) {
                    response(data)
                },
                failure: function (response) {
                    alert(response.responseText);
                }
            });
        }
     });
    });
 </script>
</head>
<body>
    <form id="form1" runat="server">
    <h1>Macoratti .net - AutoCompletar com jQuery</h1>
    <hr />
    <div>
        <label for="Nomes">Informe o nome : </label>
        <asp:TextBox ID="txtNomes" runat="server" Width="316px"></asp:TextBox>
    </div>
    </form>
</body>
</html>
